I am not a happy camper...

Options
AureVoir
AureVoir Member Posts: 7 Member

The time has come.

My time has come, and maybe yours too...

After having spent thousands of dollars with a company, to have them tighten a viceroy around your neck and say "Keep buying my stuff or we will stop supporting the stuff you bought" really upset me. For years I talked many people into joining this ecosystem, I am the Moderator for r/Maschine on reddit, I love these products; I just dont feel the need to buy EVERY UPDATE.... I bought with the expectation that if I did it right the first time, I would not have to do it again.... My products are not that old...

I personally feel, if anyone bought Komplete Kontrol CE, or ultimate, THESE PRODUCTS SHOULD BE USEABLE FOR LIFE...

and I am filling a class action lawsuit... this is unsatisfactory...

Why do I need to buy the new Kontakt to use with my old bundle?

why do I need to install old software and leave my system full of holes...

I think this may be goodbye, old friends....

Comments

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 10,619 mod
    Options

    @AureVoir I'm not sure what the issue is exactly in your case. There is no need to buy every update, there is no need to buy the new Kontakt, all of our libraries only require the player verison which is free. Our support can provide installers for older versions and we published a list of links yesterday for all the recent libraries updates: Previous versions of recently updated Kontakt libraries / compatibility with K6 older libraries

  • AureVoir
    AureVoir Member Posts: 7 Member
    Options

    @Jeremy_NI

    Does player allow you to route groups of stereo outs from each plugin to the host/DAW? I have used the full version so long, I am unfamiliar with its limitations but with that being said, I own a full license to avoid that.

    My Issue is I own a full licenses for Kontakt and Guitar Rig 5 pro, but can no longer fully use them. Kontakt libraries - like the ethereal earth, which I bought with 12 CE and paid a lot of money for, don’t work anymore and it seems like this is slowly going to be my entire library, unless I pay a “fee… “ and I’m just kinda sad about how long time customers only matter if they keep spending money to buy these upgrades.

  • JesterMgee
    JesterMgee Member Posts: 2,741 Expert
    Options

    Did you see the link he posted to get the prior versions for Kontakt 6, including the one you have a problem with? Seems that would address your issue without the need to spend a dime.

  • AureVoir
    AureVoir Member Posts: 7 Member
    Options

    yes I saw that.

    Thats not a viable long term solution. Music producers are not IT professionals; I’m not running semi-patched software, that’s some poor attempt to put a bandaid on this issue which is either never update Native Access again, or keep buying the things you already own again. When an update breaks the semi-patched Native Access what then? I know Native Access is free, it just makes me nervous to leave such an obvious back door open on my system

    I wouldn’t be nearly as upset if this wasn’t slowly creeping up Into my library rendering my purchases useless…

  • JesterMgee
    JesterMgee Member Posts: 2,741 Expert
    Options

    No idea what you are saying about semi patched Native access and "back doors".

    The links above are just the library installers for the previous versions of the Kontakt libraries that work with Kontakt 6 (nothing to do with Native Access), that is all. Kontakt 6 is now being superseded by K7. That will solve your issue, as for "long term" just plan for that case yourself.

    The libraries have simply been updated to now require K7 (which I also do not use) but previous versions still work on K6. All NI need to do is allow easier access to download some older versions for a certain timeframe.

    Consider maybe doing some OS backups or time-machine images and never do any software updates before doing a backup. If things break, roll back and carry on. Keep backups of all software you use, maintain an older system when you decide to update and don't sell it. These are the things people need to do to safeguard against evolution. Never assume that anything you purchase will work forever.

    I wouldn’t be nearly as upset if this wasn’t slowly creeping up Into my library rendering my purchases useless…

    Well, they are not useless. Just install the older versions linked above, as I mentioned, keep a backup of these and you now have a solution.

  • Vocalpoint
    Vocalpoint Member Posts: 1,330 Guru
    Options


    Have to agree with Jester on his post above.

    Sounds to me like you feel like the "update" rollercoaster is out to get you. (or trying to get you to open your wallet)

    OR

    It also sounds like you want Native Access to allow you to have your cake and eat it too in terms of wanting "these updates over here" but not "these ones over there". (that might neuter some older library or force Kontakt 7 on you) All valid points.

    The solution to your issue is simple - if you want your products usable "for life" - do not update anything - ever. Do not go near Native Access and get off the NI mailing lists so you are not tempted to buy this or that.

    When you leave your install as is - and never mess with it - you will find that exactly none of your libraries will become useless.

    But if you continue to fire up Native Access - and flirt with any updates - your install will eventually be affected.

    VP

  • AureVoir
    AureVoir Member Posts: 7 Member
    Options

    I dont want any updates, thats why I didn't buy any new sounds.

    if my cake and eating it to means I want to have my old sounds with no new updates, that's what I want. I haven't come on here to complain for years! I was very active in the Maschine community. I have been happy, until this past two months when NI forced me to buy new products to keep the same functionality up.

    There is no reason to Defend NI on this one, they have done this for years. This is how you get old customers to buy new products: You force them to upgrade.

    I bought a Collectors Edition and portions of it were rendered unusable because NI decided to update libraries, making them incompatible with Kontakt 6. I never bought any new libraries after K12 CE, why were portions of K12 CE made unusable unless I bought Kontakt 7? I didn't ask for Kontakt 7, I didn't buy new libraries or new new products. I feel my libraries that were purchased with my bundle should always work with components purchased with my bundle, I understand If I had choose to buy new sounds and packs that they require the new Kontakt, but I own old sounds and libraries.

  • AureVoir
    AureVoir Member Posts: 7 Member
    Options

    Thank you for seeing my point - I did not update and have not updated for years. This series of updates broken my rig - like deeply. I feel it was a stupid "break". It was literally one days these libraries worked, and the next day they didn't.

  • Vocalpoint
    Vocalpoint Member Posts: 1,330 Guru
    edited October 2023
    Options

    Not following you.

    If you "did not update and have not updated for years" - exactly what series of updates - broke your rig?

    Either you updated or you didn't update.

    And "didn't update" means no starting up Native Access - ever again.

    Even for things you already owned from CE13 etc.

    VP

Back To Top